1

I need to update my charity website to the dev version of commerce donate because we have recently discovered that donors cannot donate decimal amounts with the current recommended release (e.g donate £5.20) and this is something that we need as people need to pay in fundraising money etc.

I am weary of uninstalling the current module and reinstalling as we have several products that are created using the donation content type and don't want to lose them or the existing donations people have made from the system.

Is there a way to do this safely and (preferably) easily?

  • Why would you uninstall to update a module? The update process doesn't require that, you just replace the files and run update.php – Bojan Zivanovic Feb 7 '14 at 16:58
  • Indeed. Additionally, this sort of question should be directed to the module author via its issue queue. I see at least one potential warning about using the current -dev version in the queue, for example. – Ryan Szrama Feb 8 '14 at 13:10
0

If you go through the normal process to update the module (which for me means drush dl --dev commerce_donate in this case - or you might download & un-tar the module directly), no uninstall will be necessary. In general you should not uninstall a module before installing an update, for exactly the reason you fear.

|improve this answer|||||
  • This is what i did in the end and it worked without any issues. Thanks to all for your replies. – user26174 Mar 28 '14 at 9:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.